Summary:	Mandrake galaxy
Name:		mandrake-galaxy	
Version:	9.1
Release:	21mdk
Epoch:		2
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			mandrake-galaxy-%version.tar.bz2

BuildRoot:		%_tmppath/%name-%release-root
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libqt3-devel
BuildRequires:	zlib-devel

Summary:	MandrakeGalaxy
Group:		Graphical desktop/KDE
Requires:	kdelibs, xinitrc >= 2.4.4-72mdk

%description
This package displays an html file allowing users to launch browsers to
other html pages (Mandrake web sites or local html documentation) or to
launch Mandrake applications such as the Mandrake Control Center.

%prep

%setup -q

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

	./configure \
        --prefix=%_prefix \
		--libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std
# Bad hack - Tired
chmod 0755 %buildroot/%_bindir/*

install -d -m 0755 %buildroot/%_iconsdir/
install -m 0644 $RPM_BUILD_DIR/mandrake-galaxy-%version/mdkhtmlbrowser/mandrakegalaxy.png %buildroot/%_iconsdir/

install -d -m 0755 %buildroot/%_datadir/nautilus/default-desktop/
install -m 0644 $RPM_BUILD_DIR/mandrake-galaxy-%version/mdkhtmlbrowser/Welcome.desktop %buildroot/%_datadir/nautilus/default-desktop/

install -m 0644 $RPM_BUILD_DIR/mandrake-galaxy-%version/mdkhtmlbrowser/safari.jpg %buildroot/%_datadir/mdk/mandrakegalaxy/safari.jpg


%find_lang mandrakegalaxy

%post 
%update_menus
if [ -r /etc/sysconfig/i18n ] ; then
    . /etc/sysconfig/i18n
    if [ -n "$LANGUAGE" ]; then
        LISTLANG="`echo $LANGUAGE | tr ':' ' '`" ;
    else
        if [ -n "$LANG" ]; then
            LISTLANG="$LANG"
        else
            LISTLANG=en
        fi
    fi
else
    LISTLANG=en
fi

for i in $LISTLANG
do
    if [ -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$i.html ]; then
        cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$i.html > \
            %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
        break
    else
        lang=`echo $i | cut -b-2`
        if [ -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$lang.html ]; then
            cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$lang.html > \
                %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
            break;

        fi
    fi
done

if [ ! -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html ]; then
    cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-en.html > \
        %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
fi

%postun
%clean_menus

%preun

if [ $1 = 0 ]; then
    rm -f %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
fi

%clean
rm -fr %buildroot


%files -f mandrakegalaxy.lang
%defattr(-,root,root)
#
%_bindir/*

%_datadir/autostart/*.desktop
#
%_datadir/applnk/Applications/*.desktop
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%dir %_datadir/mdk/
%dir %_datadir/mdk/mandrakegalaxy/
%_datadir/mdk/mandrakegalaxy/*.html
%_datadir/mdk/mandrakegalaxy/*.jpg
%config(noreplace) %{_sysconfdir}/X11/xinit.d/mandrakegalaxy
#
%_iconsdir/*.png
#
%_datadir/nautilus/default-desktop/*.desktop


%changelog
* Mon Mar 17 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-21mdk
- Fix french Safari's translation

* Thu Mar 13 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-20mdk
- Fix french Safari's translation 

* Thu Mar 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-19mdk
- Display translations

* Wed Mar 12 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-18mdk
- Fix french translation

* Tue Mar 11 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-17mdk
- Enable safari
- Fix broken links (documentation)
- Update icon
- Fix size

* Thu Mar  6 2003 Frederic Lepied <flepied@mandrakesoft.com> 9.1-16mdk
- fix generation of the html file
- cleanup before removal
- Fix make rpm
- Fix spec file

* Wed Mar 05 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-15mdk
- Fix html pages
- Add languages

* Fri Feb 28 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-14mdk
- Fix mandrake-galaxy launch when .kde doesn't exist

* Fri Feb 28 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-13mdk
- Update translations
- Add icon and .desktop

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-12mdk
- Update code ( fix i18n catalogue )

* Tue Feb 25 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-11mdk
- Add translations

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-10mdk
- change mandrake-galaxy.html directory

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-9mdk
- Add Fred Crozat patch : test if it's necessary to launch mandrakegalaxy

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-8mdk
- Fix launch mandrake-galaxy under all WM

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-7mdk
- Fix default size

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-6mdk
- Don't launch it in root 

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Fix description thanks to Buchan Milne <bgmilne@cae.co.za>

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Fix caption

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Fix qcheckbox

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-2mdk
- Fix mandrakegalaxy url

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- Initial package
